Overview | Modules | Class Hierarchy | Classes | Members

# tlp::TulipStats Class Reference

`#include <TulipStatsWidget.h>`

Collaboration diagram for tlp::TulipStats:

[legend]
List of all members.

## Detailed Description

Panel widget using tulip data to compute statistical results.

This class is a widget which takes places in the main interface of tulip, in the tabwidget of properties. This panel has mainly 3 uses :

-Firstly : It changes the graph placement and order it under the form of an histogram or a scatter plot according to a defined number of metrics (up to 3). -Secondly : It computes and display some basic statistics results on the graph : average, variance, standard deviation, bounding box, linear regression and eigenvectors. -Thirdly : It clusterize the graph by a plane which is based upon statistic results calculated above.

## Public Member Functions

- TulipStats (QWidget *parent=0)
- ~TulipStats ()
- void setSGHierarchyWidgetWidget (SGHierarchyWidget *)
- Graph * getGraph ()
- GlMainWidget * getGlMainWidget ()
- void setGlMainWidget (GlMainWidget *)
- void destroy (Graph *)

## Protected Attributes

- GlMainWidget * glMainWidget
- Graph * graph
- tlp::StatisticResults * statsResults
- SGHierarchyWidget * clusterTreeWidget
- int histoMax
- std::vector< DoubleProperty * > metrics
- int nMetrics
- float discretizationStep [3]

## Constructor & Destructor Documentation

tlp::TulipStats::TulipStats | ( | QWidget * | parent = `0` | ) |

| Base constructor.

tlp::TulipStats::~TulipStats | ( |  | ) |

| Destructor.

## Member Function Documentation

void tlp::TulipStats::destroy | ( | Graph * |  | ) |

| Overriden function used to notify when the graph is going to be destroyed :

GlMainWidget* tlp::TulipStats::getGlMainWidget | ( |  | ) |

| Accessor in reading to the glMainWidget.

Graph* tlp::TulipStats::getGraph | ( |  | ) |

| Accessor in reading to the graph.

void tlp::TulipStats::setGlMainWidget | ( | GlMainWidget * |  | ) |

| Accessor in writing to the glMainWidget.

void tlp::TulipStats::setSGHierarchyWidgetWidget | ( | SGHierarchyWidget * |  | ) |

| Function used by viewGl to set the reference to the clusterTree.

## Member Data Documentation

SGHierarchyWidget* tlp::TulipStats::clusterTreeWidget `[protected]`

| A reference to the clusterTree widget of the properties panel, to make an up to date

float tlp::TulipStats::discretizationStep[3]`[protected]`

| The discretization step used to regroup informations

GlMainWidget* tlp::TulipStats::glMainWidget `[protected]`

| A reference to the graphwidget we are currently editing

Graph* tlp::TulipStats::graph `[protected]`

| A reference to the graph we are considering

int tlp::TulipStats::histoMax `[protected]`

| The value of the biggest column in the case of an histogram. Used to fit correctly the augmented displays

std::vector<DoubleProperty*> tlp::TulipStats::metrics `[protected]`

| The metrics used for the computation

int tlp::TulipStats::nMetrics `[protected]`

| The number of metrics used. 3

tlp::StatisticResults* tlp::TulipStats::statsResults `[protected]`

| A structure to store the results of the calculus

Tulip Software by LaBRI Visualization Team 2001 - 2010